class Fig2dev < Formula
  desc "Translates figures generated by xfig to other formats"
  homepage "https://mcj.sourceforge.net/"
  url "https://downloads.sourceforge.net/project/mcj/fig2dev-3.2.9a.tar.xz"
  sha256 "61e185393176852f03b901b3b05b19fbc5ad8258ff142f3da6e70b1b83513326"
  license "MIT"

  livecheck do
    url :stable
    regex(%r{url=.*?/fig2dev[._-]v?(\d+(?:\.\d+)+[a-z]?)\.t}i)
  end

  depends_on "ghostscript"
  depends_on "libpng"
  depends_on "netpbm"

  uses_from_macos "zlib"

  def install
    system "./configure", "--enable-transfig",
            *std_configure_args.reject { |s| s["--disable-debug"] }
    system "make", "install"

    pkgshare.install "fig2dev/tests/data/patterns.fig"
  end

  test do
    system bin/"fig2dev", "-L", "png", "#{pkgshare}/patterns.fig", "patterns.png"
    assert_predicate testpath/"patterns.png", :exist?, "Failed to create PNG"
  end
end
